Hotels

Hotels Hotel Rates and Details Scraper

Extract hotel, flight, and travel details using the Hotels Hotel Rates and Details Scraper API endpoint.

This endpoint allows you to scrape hotel rates and availability from Hotels.com.

Note

Use the Sync Scraper API Server (https://sync.scraper.mrscraper.com) host when calling this endpoint.

POST
/api/hotels/hotels/rates/sync
AuthorizationBearer <token>

In: header

Request Body

application/json

url*string

Hotels.com hotel URL including check-in/check-out and other query parameters

Response Body

application/json

curl -X POST "https://api.app.mrscraper.com/api/hotels/hotels/rates/sync" \  -H "Content-Type: application/json" \  -d '{    "url": "https://th.hotels.com/en/ho338863/mitsui-garden-hotel-shiodome-italia-gai-tokyo-japan/?chkin=2025-12-27&chkout=2025-12-28&x_pwa=1&rfrr=HSR&pwa_ts=1765338088522&referrerUrl=aHR0cHM6Ly90aC5ob3RlbHMuY29tL0hvdGVsLVNlYXJjaA%3D%3D&useRewards=false&rm1=a2&regionId=3593&destination=Tokyo%2C%20Tokyo%20Prefecture%2C%20Japan&destType=MARKET&neighborhoodId=6203657&latLong=35.681143%2C139.767208&sort=RECOMMENDED&top_dp=7319&top_cur=THB&userIntent=&selectedRoomType=325476290&selectedRatePlan=398182037&expediaPropertyId=3262941&searchId=8430d673-e87a-4ae5-8b94-ef7e39d268ec&"  }'
{
  "success": true,
  "message": "Succesfully scraped",
  "data": {
    "url": "https://th.hotels.com/en/ho338863/mitsui-garden-hotel-shiodome-italia-gai-tokyo-japan/?chkin=2025-12-27&chkout=2025-12-28&x_pwa=1&rfrr=HSR&pwa_ts=1765338088522&referrerUrl=aHR0cHM6Ly90aC5ob3RlbHMuY29tL0hvdGVsLVNlYXJjaA%3D%3D&useRewards=false&rm1=a2&regionId=3593&destination=Tokyo%2C%20Tokyo%20Prefecture%2C%20Japan&destType=MARKET&neighborhoodId=6203657&latLong=35.681143%2C139.767208&sort=RECOMMENDED&top_dp=7319&top_cur=THB&userIntent=&selectedRoomType=325476290&selectedRatePlan=398182037&expediaPropertyId=3262941&searchId=8430d673-e87a-4ae5-8b94-ef7e39d268ec&",
    "rates": [
      {
        "hotel_name": "Mitsui Garden Hotel Shiodome Italia-gai Tokyo",
        "room_name": "Standard , 1 bed Queen, Non Smoking",
        "rate_plan_name": "Standard , 1 bed Queen, Non Smoking",
        "is_vat_incl": true,
        "meal_type_included": false,
        "have_promotion": false,
        "promotion": {
          "discount_percentage": "21% off",
          "name": ""
        },
        "arrival_date": "2025-12-27",
        "currency": "THB",
        "extract_date_time": "2025-12-12T02:43:24.350Z",
        "los": 1,
        "max_persons": 2,
        "rate_plan_breakdown": {
          "cancellation_policy": "No Cancellation",
          "inclusions": [
            "21 sq m",
            "Sleeps 2",
            "1 Queen Bed",
            "Reserve now, pay later",
            "Free WiFi",
            "Collect and Redeem"
          ],
          "meal_plan": "Breakfast+ ฿774",
          "refundability": "Non-Refundable"
        },
        "cancellable": false,
        "value": "฿8,073 total"
      },
      {}
    ]
  }
}